# ATMEL Wireless Card Setup for linux
# Copyright 2001 (c) ATMEL Hellas

if [ $# -gt 0 ] && [ $1 == 'all' ]; then 
	BUILD_M=y
else
	BUILD_M=n
fi

CFG_FILE=.config

echo -n "Build all [y/N] : "
read Ball

if [ $Ball ] && [ $Ball == 'y' ]; then
	BUILD_M=y
fi

CONFIG_DEBUG=$BUILD_M
CONFIG_USB=$BUILD_M
CONFIG_PCI=$BUILD_M
CONFIG_PCMCIA=$BUILD_M

CONFIG_PCMCIA_502A=$BUILD_M
CONFIG_PCMCIA_3COM=$BUILD_M
CONFIG_PCMCIA_502AD=$BUILD_M
CONFIG_PCMCIA_502AE=$BUILD_M
CONFIG_PCMCIA_504=$BUILD_M
CONFIG_PCMCIA_504_2958=$BUILD_M
CONFIG_PCMCIA_504A_2958=$BUILD_M
CONFIG_PCI_506=$BUILD_M

CONFIG_USB_503A_RFMD=$BUILD_M
CONFIG_USB_505=$BUILD_M
CONFIG_USB_505_2958=$BUILD_M
CONFIG_USB_505A=$BUILD_M

CONFIG_APPS=$BUILD_M
CONFIG_CMD_LINE=$BUILD_M
CONFIG_Winter=$BUILD_M
CONFIG_XAPP=n

CONFIG_FW_UPGRADE=$BUILD_M
#CONFIG_FW_CMDLINE=$BUILD_M
#CONFIG_FW_WIDGETS=$BUILD_M

PID=0
VID=0
BoardType=0
BoardDefine=0

# Addition

echo -n "Set extra module version information [y/N] : "
read CONFIG_MODVERSIONS

if [ $BUILD_M == 'n' ]; then
#	echo -ne "\033[0;37m"
	echo -n "Build Debug version [y/N] : "
	read CONFIG_DEBUG

	echo -n "Build USB Drivers [y/N] : "
	read CONFIG_USB

	if [ $CONFIG_USB ] && [ $CONFIG_USB == 'y' ];then
		echo -n "Build USB 503A RFMD Driver [y/N] : "
		read CONFIG_USB_503A_RFMD

		echo -n "Build USB RFMD 505 Driver [y/N] : "
		read CONFIG_USB_505

                echo -n "Build USB RFMD 505 + 2958 Driver [y/N] : "
                read CONFIG_USB_505_2958

		echo -n "Build USB RFMD 505A Driver [y/N] : "
		read CONFIG_USB_505A

        else
                CONFIG_USB=n

	fi

	echo -n "Build PCMCIA Drivers [y/N] : "
	read CONFIG_PCMCIA

        if [ $CONFIG_PCMCIA ] && [ $CONFIG_PCMCIA == 'y' ];then 

                        echo -n "Build PCMCIA rfmd Driver [y/N] : "
                        read CONFIG_PCMCIA_502A

                        echo -n "Build PCMCIA 3COM Driver [y/N] : "
                        read CONFIG_PCMCIA_3COM

                        echo -n "Build PCMCIA rfmd revision d Driver [y/N] : "
                        read CONFIG_PCMCIA_502AD

                        echo -n "Build PCMCIA rfmd revision e Driver [y/N] : "
                        read CONFIG_PCMCIA_502AE

                        echo -n "Build PCMCIA 504 Driver [y/N] : "
                        read CONFIG_PCMCIA_504

                        echo -n "Build PCMCIA 504+2958 Driver [y/N] : "
                        read CONFIG_PCMCIA_504_2958
                        echo -n "Build PCMCIA 504A+2958 Driver [y/N] : "
                        read CONFIG_PCMCIA_504A_2958
                else
                        CONFIG_PCMCIA=n
	fi

	echo -n "Build miniPCI Driver [y/N] : "
	read CONFIG_PCI

	if [ $CONFIG_PCI ] && [ $CONFIG_PCI == 'y' ];then 
		CONFIG_PCI_506=y
	fi


	echo -n "Build applications [y/N] : " 
	read CONFIG_APPS

	if [ $CONFIG_APPS ] && [ $CONFIG_APPS == 'y' ];then
		echo -n "Build command line application [y/N] : "
		read CONFIG_CMD_LINE
                echo -n "Build Winter wxWidgets application [y/N] : " 
                read CONFIG_Winter 
#		XFORMSOK=$(grep HAS_FORM ${CFG_FILE}tmp|grep y -c)
#		if [ $XFORMSOK -eq 0 ]; then 
#			echo "You have to install the xforms library in order to use the xvnet application"
#			CONFIG_XAPP=n
#		else
#			echo -n "Build X windows application [y/N] : "
#			read CONFIG_XAPP
#		fi
        fi

	echo -n "Build Firmware Upgrade Tools [y/N] : " 
	read CONFIG_FW_UPGRADE

#	if [ $CONFIG_FW_UPGRADE ] && [ $CONFIG_FW_UPGRADE == 'y' ];then
#		echo -n "Build command line upgrader (atmelup) [y/N] : "
#		read CONFIG_FW_CMDLINE
#               echo -n "Build Winter wxWidgets application [y/N] : " 
#              read CONFIG_Winter 
#        fi

#	echo -ne "\033[1;39m"
fi

#jal: pass if PCMCIA shall be configured to suppress
#     checking for PCMCIA sources if "no"
bash scripts/setup.sh ${CFG_FILE}tmp $CONFIG_PCMCIA || (\
    echo "run again with the proper directory"; exit 3)

echo -n > $CFG_FILE

echo CONFIG_PCI=$CONFIG_PCI >> $CFG_FILE
echo "" >> $CFG_FILE
echo "#PCMCIA Drivers" >> $CFG_FILE
echo CONFIG_PCMCIA=$CONFIG_PCMCIA >> $CFG_FILE
echo CONFIG_PCMCIA_502A=$CONFIG_PCMCIA_502A >> $CFG_FILE
echo CONFIG_PCMCIA_3COM=$CONFIG_PCMCIA_3COM >> $CFG_FILE
echo CONFIG_PCMCIA_502AD=$CONFIG_PCMCIA_502AD >> $CFG_FILE
echo CONFIG_PCMCIA_502AE=$CONFIG_PCMCIA_502AE >> $CFG_FILE
echo CONFIG_PCMCIA_504=$CONFIG_PCMCIA_504 >> $CFG_FILE
echo CONFIG_PCMCIA_504_2958=$CONFIG_PCMCIA_504_2958 >> $CFG_FILE
echo CONFIG_PCMCIA_504A_2958=$CONFIG_PCMCIA_504A_2958 >> $CFG_FILE
echo CONFIG_PCI_506=$CONFIG_PCI_506 >> $CFG_FILE

echo "" >> $CFG_FILE
echo "#USB Drivers" >> $CFG_FILE
echo CONFIG_USB=$CONFIG_USB >> $CFG_FILE
echo CONFIG_USB_503A_RFMD=$CONFIG_USB_503A_RFMD >> $CFG_FILE
echo CONFIG_USB_505=$CONFIG_USB_505 >> $CFG_FILE
echo CONFIG_USB_505A=$CONFIG_USB_505A >> $CFG_FILE
echo CONFIG_USB_505_2958=$CONFIG_USB_505_2958 >> $CFG_FILE
echo "" >> $CFG_FILE
echo "#Applications Configuration" >> $CFG_FILE
echo CONFIG_APPS=$CONFIG_APPS >> $CFG_FILE
echo CONFIG_CMD_LINE=$CONFIG_CMD_LINE >> $CFG_FILE
echo CONFIG_Winter=$CONFIG_Winter >> $CFG_FILE
echo CONFIG_FW_UPGRADE=$CONFIG_FW_UPGRADE >> $CFG_FILE
#echo CONFIG_FW_CMDLINE=$CONFIG_FW_CMDLINE >> $CFG_FILE
#echo CONFIG_FW_WIDGETS=$CONFIG_FW_WIDGETS >> $CFG_FILE
echo CONFIG_XAPP=$CONFIG_XAPP >> $CFG_FILE
echo "" >> $CFG_FILE
if [ $CONFIG_DEBUG ] && [ $CONFIG_DEBUG == 'y' ]; then
	echo "#DEBUG INFORMATION" >> $CFG_FILE
	echo "DEBUG=D" >> $CFG_FILE
else
	echo "DEBUG=" >> $CFG_FILE
fi

echo CONFIG_MODVERSIONS=$CONFIG_MODVERSIONS >> $CFG_FILE

echo "# runtime variables. Generated by setup.sh" >> $CFG_FILE
cat ${CFG_FILE}tmp >> $CFG_FILE

rm -f ${CFG_FILE}tmp
