#ifndef __FUCDAPP_H__
#define __FUCDAPP_H__

//#define wxUSE_STD_IOSTREAM
//#undef NO_TEXT_WINDOW_STREAM

#define ID_PL_ONEPANEL   100
#define ID_BT_DLOAD      101
#define ID_TXT_OSTREAM	 102
#define ID_GG_DLOAD	 103
#define ID_BT_FILE	 104
#define ID_TIMER	 105
#define ID_BT_RESCAN	 106
#define ID_CH_DEVICES	 107


#define GG_TOTAL	 100

#include <wx/wx.h>
//#include <wx/txtstrm.h>		// for stdout redirection
//#include <wx/wfstream.h>	// for FileOutputStream
#include <iostream>
//#include <wx/textctrl.h>
#include "FucdLayer.h"


class FucdApp : public wxApp
{
    public:
        virtual bool OnInit();
};


class Stdout2TxtCtrl
{
    private:
	long readpos;
	wxTextCtrl *mystdout;
	FILE *logfile;
	char buff[256];
    public:
    	Stdout2TxtCtrl(const char* filname, wxTextCtrl *txtctrl);
    	virtual ~Stdout2TxtCtrl();
	bool Echo();
};


class FucdFrame : public wxFrame
{
    private:
        DECLARE_EVENT_TABLE()
	wxGauge *gg_dload;
	wxTextCtrl *fucdtxt;
	FucdLayer *smf;
	Stdout2TxtCtrl *mestdout;
	wxTimer *just4gg;

    public:
        FucdFrame(wxWindow* parent, wxWindowID id, const wxString &title);
        void OnUpgradeFW();
	void OnBtFile();
	void OnTimer(wxTimerEvent &event);
	void OnClose(wxCloseEvent &event);
	void OnBtClose(wxCommandEvent &event);
	void OnSelectDevice(wxCommandEvent &event);
	void OnRescan();
	void OnIdle(wxIdleEvent &event);
	
	FucdLayer* GetLayer() { return smf; };
	wxGauge *GetGG() { return gg_dload; };
	void SetGG(wxGauge *gg) { gg_dload = gg; };
	wxTextCtrl *GetFT() { return fucdtxt; };
	void SetFT(wxTextCtrl *ft) { fucdtxt = ft; };
	void SetOut(Stdout2TxtCtrl *st) { mestdout = st; };
};

class FucdPanel : public wxPanel
{
    private:
    public:
       	FucdPanel(wxWindow* parent, wxWindowID id);
};

#endif // __FUCDAPP_H__
