/* ChoiceSP.cpp */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#include "ChoiceSP.h"
#include "Decls.h"
#include "Accessor.h"
#include "HRStrings.h"


// CChoiceSP implementation
//==========================
CChoiceSP::CChoiceSP( wxWindow *base )
{
	mBase = base;
}

CChoiceSP::~CChoiceSP( )
{
}

wxArrayString CChoiceSP::ProvideStrings( int choice_ctrl_id )
{
	wxArrayString ret;

	return ret;
}


// CMonitorPageChoiceSP implementation
//=====================================
CMonitorChoiceSP::CMonitorChoiceSP( wxWindow *base ) : CChoiceSP( base )
{
}

CMonitorChoiceSP::~CMonitorChoiceSP( )
{
}

wxArrayString CMonitorChoiceSP::ProvideStrings( int choice_ctrl_id )
{
	wxArrayString ret;
	CWinterStringsProvider *sp = ( CWinterStringsProvider * ) CAccessor::Access( AID_STRINGSPROVIDER );

	switch( choice_ctrl_id )
	{
		case ID_CH_OPERATINGMODE:
			ret.Add( sp->OperModeStrings[ 0 ] );
			ret.Add( sp->OperModeStrings[ 1 ] );
			break;

		case ID_CH_CHANNEL:
			ret.Add( _( "1" ) );
			ret.Add( _( "2" ) );
			ret.Add( _( "3" ) );
			ret.Add( _( "4" ) );
			ret.Add( _( "5" ) );
			ret.Add( _( "6" ) );
			ret.Add( _( "7" ) );
			ret.Add( _( "8" ) );
			ret.Add( _( "9" ) );
			ret.Add( _( "10" ) );
			ret.Add( _( "11" ) );
			ret.Add( _( "12" ) );
			ret.Add( _( "13" ) );
			ret.Add( _( "14" ) );
			break;

		case ID_CH_RADIOONOFF:
			ret.Add( sp->RadioStrings[ 0 ] );
			ret.Add( sp->RadioStrings[ 1 ] );
			break;

		case ID_CH_INROAMING:
			ret.Add( sp->RoamingStrings[ 0 ] );
			ret.Add( sp->RoamingStrings[ 1 ] );
			break;

		case ID_CH_TRANSMITRATE:
			ret.Add( sp->TransmitRateStrings[ 0 ] );
			ret.Add( sp->TransmitRateStrings[ 1 ] );
			ret.Add( sp->TransmitRateStrings[ 2 ] );
			ret.Add( sp->TransmitRateStrings[ 3 ] );
			ret.Add( sp->TransmitRateStrings[ 4 ] );
			break;
	}

	return ret;
}


//CMainPanelChoiceSP implementation
//=====================================
CProfilesChoiceSP::CProfilesChoiceSP( wxWindow *base ) : CChoiceSP( base )
{

}

CProfilesChoiceSP::~CProfilesChoiceSP( )
{

}

wxArrayString CProfilesChoiceSP::ProvideStrings( int choice_ctrl_id )
{
	wxArrayString ret;
	return ret;

}

//CmainpanelProfilesChoiceSP implementation
//==========================================

CMainPanelProfilesChoiceSP::CMainPanelProfilesChoiceSP( wxWindow *base ) : CChoiceSP( base )
{

}

CMainPanelProfilesChoiceSP::~CMainPanelProfilesChoiceSP( )
{

}

wxArrayString CMainPanelProfilesChoiceSP::ProvideStrings( int choice_ctrl_id )
{
	wxArrayString ret;
	return ret;
}


//CEncryptionChoiceSP impementation
//=======================================
CEncryptionChoiceSP::CEncryptionChoiceSP( wxWindow *base ) : CChoiceSP( base )
{

}

CEncryptionChoiceSP::~CEncryptionChoiceSP( )
{

}

wxArrayString CEncryptionChoiceSP::ProvideStrings( int choice_ctrl_id )
{
	wxArrayString ret;
	CWinterStringsProvider *sp = ( CWinterStringsProvider * ) CAccessor::Access( AID_STRINGSPROVIDER );

	switch( choice_ctrl_id  )
	{
		case ID_CH_FIRSTBOX_ENCRYPTION:
			ret.Add( sp->EncryptionStrings[ 0 ] );
			ret.Add( sp->EncryptionStrings[ 1 ] );
			ret.Add( sp->EncryptionStrings[ 2 ] );
			break;

		case ID_CH_THIRDBOX_WEPKEYTOUSE:
			ret.Add( sp->WepKeysStrings[ 0 ] );
			ret.Add( sp->WepKeysStrings[ 1 ] );
			ret.Add( sp->WepKeysStrings[ 2 ] );
			ret.Add( sp->WepKeysStrings[ 3 ] );
			break;

		case ID_CH_THIRDBOX_WEPMODE:
			ret.Add( sp->WepModeStrings[ 0 ] );
			ret.Add( sp->WepModeStrings[ 1 ] );
			break;

		case ID_CH_THIRDBOX_AUTHENTICATIONTYPE:
			ret.Add( sp->AuthTypeStrings[ 0 ] );
			ret.Add( sp->AuthTypeStrings[ 1 ] );
			break;
	}

	return ret;
}


