/* Decls.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __DECLS_H__
#define __DECLS_H__


enum UIIdentifiers
{
ID_FIRST = wxID_HIGHEST,
	//MainPanel Controls
	ID_PN_MAINPANEL,
	ID_TX_MAINPANEL_CARDTYPE,
	ID_CH_MAINPANEL_PROFILES,
	ID_NB_MAINNOTEBOOK,
	ID_BT_ADD_PROFILE,
	ID_BT_REMOVE_PROFILE,
	ID_BT_APPLY_PROFILE,
	ID_BT_CLOSE,
	//Dialog
	ID_ST_DIALOG,
	ID_TX_DIALOG,
	ID_BT_DIALOG,
	
	////// Monitor Page
		ID_PN_MONITORPAGE,
			// Input controls
			ID_SB_SETTINGS,
				ID_ST_OPERATINGMODE,
				ID_CH_OPERATINGMODE,
				ID_ST_CHANNEL,
				ID_CH_CHANNEL,
				ID_ST_ESSID,
				ID_CB_ESSID,
				ID_ST_RADIOONOFF,
				ID_CH_RADIOONOFF,
				ID_ST_MACADDRESS,
				ID_TX_MACADDRESS,
				ID_ST_INROAMING,
				ID_CH_INROAMING,
				ID_ST_TRANSMITRATE,
				ID_CH_TRANSMITRATE,
				
				ID_BT_MONITORPAGE_CHANGE,
				ID_BT_MONITORPAGE_SUBMIT,
				ID_BT_MONITORPAGE_CANCEL,

			// Output controls
			ID_SB_MONITOR,
				ID_ST_STATUS,
				ID_TX_STATUS_INFO,
				ID_ST_SIGSTRENGTH,
				ID_GG_SIGSTRENGTH,
				ID_ST_LINKQUALITY,
				ID_GG_LINKQUALITY,
				

   /////Statistics Page
		ID_PN_STATISTICSPAGE,
			//Data Packets
			ID_SB_DATAPACKETS,
				ID_ST_DP_SUCCESSFULL,
				ID_ST_DP_UNSUCCESSFULL,
				ID_ST_DP_TX,
				ID_ST_DP_RX,
				ID_ST_DP_TX_SUCCESSFULL,
				ID_ST_DP_RX_SUCCESSFULL,
				ID_ST_DP_TX_UNSUCCESSFULL,
				ID_ST_DP_RX_UNSUCCESSFULL,


			//Mgmt Packets
			ID_SB_MGMTPACKETS,
				ID_ST_MGMT_SUCCESSFULL,
				ID_ST_MGMT_UNSUCCESSFULL,
				ID_ST_MGMT_TX,
				ID_ST_MGMT_RX,
				ID_ST_MGMT_TX_SUCCESSFULL,
				ID_ST_MGMT_RX_SUCCESSFULL,
				ID_ST_MGMT_TX_UNSUCCESSFULL,
				ID_ST_MGMT_RX_UNSUCCESSFULL,

				

			//Rejected Packets
			ID_SB_REJECTEDPACKETS,
				ID_ST_RP_TX,
				ID_ST_RP_RX,
				ID_ST_LOST,
				ID_ST_RP_LOST,
				ID_ST_NOTREADY,
				ID_ST_RP_NOTREADY,
				ID_ST_RESOURCES,
				ID_ST_RP_RESOURCES,

			//Controls
			ID_BT_CLEAR,

		
	/////Encryption page
		ID_PN_ENCRYPTIONPAGE,

			//First Box
			ID_SB_FIRSTBOX,
				ID_ST_FIRSTBOX_ENCRYPTION,
				ID_CH_FIRSTBOX_ENCRYPTION,


			//Second Box
			ID_SB_SECONDBOX,
				ID_ST_SECONDBOX_KEY1,
				ID_TX_SECONDBOX_KEY1,
				ID_ST_SECONDBOX_KEY2,
				ID_TX_SECONDBOX_KEY2,
				ID_ST_SECONDBOX_KEY3,
				ID_TX_SECONDBOX_KEY3,
				ID_ST_SECONDBOX_KEY4,
				ID_TX_SECONDBOX_KEY4,

			//Third Box
			ID_SB_THIRDBOX,
				ID_ST_THIRDBOX_WEPKEYTOUSE,
				ID_CH_THIRDBOX_WEPKEYTOUSE,
				ID_ST_THIRDBOX_WEPMODE,
				ID_CH_THIRDBOX_WEPMODE,
				ID_ST_THIRDBOX_AUTHENTICATIONTYPE,
				ID_CH_THIRDBOX_AUTHENTICATIONTYPE,

			//Encryption Page Controls
			ID_BT_ENCRYPTPAGE_SUBMIT,


	////Advanced Page
		ID_PN_ADVANCEDPAGE,

		//First Box
		ID_SB_FIRSTADVPAGEBOX,
			ID_ST_FIRSTADVPAGEBOX_PREAMBLE_TYPE,
			ID_RB_FIRSTADVPAGEBOX_PREAMBLE_TYPE_LONG,
			ID_RB_FIRSTADVPAGEBOX_PREAMBLE_TYPE_SHORT,


		//Second Box
		ID_SB_SECONDADVPAGEBOX,
			ID_ST_SECONDADVPAGEBOX_POWER_MODE,
			ID_RB_SECONDADVPAGEBOX_POWER_MODE_ACTIVE,
			ID_RB_SECONDADVPAGEBOX_POWER_MODE_POWERSAVE,
			ID_RB_SECONDADVPAGEBOX_POWER_MODE_SMARTSAVE,
			


		//Third Box
		ID_SB_THIRDADVPAGEBOX,
			ID_ST_THIRDADVPAGEBOX_FRAQMENTATION,
			ID_ST_THIRDADVPAGEBOX_FRAQ_DISABLED,
			ID_ST_THIRDADVPAGEBOX_RTS,
			ID_ST_THIRDADVPAGEBOX_RTS_DISABLED,
			ID_SL_THIRDADVPAGEBOX_FRAQMENTATION,
			ID_SL_THIRDADVPAGEBOX_RTS,
			ID_SP_THIRDADVPAGEBOX_RTS,
			ID_SP_THIRDADVPAGEBOX_FRAQMENTATION,

			

		//Advanced Page Controls
		ID_BT_ADVANCEDPAGE_SUBMIT,
		
	
	////Version Page
	ID_PN_VERSIONPAGE,

		//atmel box
		ID_SB_ATMEL_BOX,
			ID_SBMP_ATMELLOGO,

		//status box
		ID_SB_STATUS,
			
				//driver
				ID_ST_DRIVERVERSION,
				ID_TX_DRIVERVERSION_NUM,

				//Firmware 
			
				ID_ST_FIRMWAREVERSION,
				ID_TX_FIRMWAREVERSION_NUM,

				//Application 
				ID_ST_APPLICATIONVERSION,
				ID_TX_APPLICATIONVERSION_NUM,


	////Site Survey Page
	ID_PN_SITESURVEYPAGE,

		//controls
		ID_LC_SURVEYPAGE,
		ID_BT_SURVEYPAGE_SCAN,
		ID_BT_SURVEYPAGE_STOP,

	////Profiles Page
	ID_PN_PROFILESPAGE,
		ID_CL_PROFILESPAGE_PROFILES,
		ID_BT_PROFILESPAGE_ADD,
		ID_BT_PROFILESPAGE_REMOVE,
		ID_BT_PROFILESPAGE_LOAD,
		ID_BT_PROFILESPAGE_SAVE,

		ID_PN_PROFILESPAGE_PREVIEW,
			ID_ST_PROFILESPAGE_PRV_OPMODE,
			ID_ST_PROFILESPAGE_PRV_CHANNEL,
			ID_ST_PROFILESPAGE_PRV_SSID,
			ID_ST_PROFILESPAGE_PRV_RADIO,
			ID_ST_PROFILESPAGE_PRV_INTROAMING,
			ID_ST_PROFILESPAGE_PRV_TRRATE,
			ID_ST_PROFILESPAGE_PRV_PRTYPE,
			ID_ST_PROFILESPAGE_PRV_PWRMODE,
			ID_ST_PROFILESPAGE_PRV_FRAGTHRSHLD,
			ID_ST_PROFILESPAGE_PRV_RTSCTSTHR,
			ID_ST_PROFILESPAGE_PRV_ENCRYPTION,
			ID_ST_PROFILESPAGE_PRV_WEPNOTSHOWN,
			ID_ST_PROFILESPAGE_PRV_WEPKEYTOUSE,
			ID_ST_PROFILESPAGE_PRV_WEPMODE,
			ID_ST_PROFILESPAGE_PRV_AUTHENTICATIONTYPE,
			//
			ID_ST_PROFILESPAGE_PRV_OPMODE_VAL,
			ID_ST_PROFILESPAGE_PRV_CHANNEL_VAL,
			ID_ST_PROFILESPAGE_PRV_SSID_VAL,
			ID_ST_PROFILESPAGE_PRV_RADIO_VAL,
			ID_ST_PROFILESPAGE_PRV_INTROAMING_VAL,
			ID_ST_PROFILESPAGE_PRV_TRRATE_VAL,
			ID_ST_PROFILESPAGE_PRV_PRTYPE_VAL,
			ID_ST_PROFILESPAGE_PRV_PWRMODE_VAL,
			ID_ST_PROFILESPAGE_PRV_FRAGTHRSHLD_VAL,
			ID_ST_PROFILESPAGE_PRV_RTSCTSTHR_VAL,
			ID_ST_PROFILESPAGE_PRV_ENCRYPTION_VAL,
			ID_ST_PROFILESPAGE_PRV_WEPKEYTOUSE_VAL,
			ID_ST_PROFILESPAGE_PRV_WEPMODE_VAL,
			ID_ST_PROFILESPAGE_PRV_AUTHENTICATIONTYPE_VAL,

		ID_ST_PROFILESPAGE_STARTUPOPTIONS,
		ID_ST_PROFILESPAGE_LANG,
		ID_CH_PROFILESPAGE_LANG,


ID_LAST,
};


enum Pages
{
	PG_MONITOR = 0,
	PG_STATISTICS,
	PG_SITESURVEY,
	PG_ENCRYPTION,
	PG_ADVANCED,
	PG_PROFILE,
	PG_VERSION,
};


#define WINTER_VERSION_MAJOR	1
#define WINTER_VERSION_MINOR	0
#define WINTER_VERSION_SUB	1
#define WINTER_VERSION_BUILD	1


#endif // __DECLS_H__


