/* DevConfig.cpp */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#include "DevConfig.h"
#include "HRStrings.h"


//CSiteData implemenation
//===================================

CSiteData::CSiteData( )
{
	// debug:
	UCHAR bssid[ 6 ] = { 'a', 'b', 'c', 'd', 'e', 'f' };
	UCHAR ssid[ MAX_SSID_LENGTH ] = { 'a', 'b', 'c', 'd', 'e', 'f','a', 'b', 'c', 'd', 'e', 'f', 'g', 'a', 'b', 'c', 'd', 'e', 'f','a', 'b', 'c', 'd', 'e', 'f', 'g', 's', 'Z', 'z', '-', '', 5 };
	int channel = 5;
	int encryption_level = 1;
	int type = 1;
	int signal_strength = 20;
	SetBSSID( bssid );
	SetSSID( ssid );
	SetChannel( channel );
	SetEncryptionLevel( encryption_level );
	SetType( type );
	SetSignalStrength( signal_strength );
}

CSiteData::~CSiteData( )
{
}

void CSiteData::SetBSSID( UCHAR bssid[ 6 ] )
{
	memcpy( mBSSID, bssid, 6 * sizeof( UCHAR ) );
	return;
}

UCHAR *CSiteData::GetBSSID( )
{
	return mBSSID;
}

void CSiteData::SetSSID( UCHAR ssid[ MAX_SSID_LENGTH ] )
{
	memcpy( mSSID, ssid, MAX_SSID_LENGTH * sizeof( UCHAR ) );
	return;
}
UCHAR *CSiteData::GetSSID( )
{
	return mSSID;
}

void CSiteData::SetChannel( int channel )
{
	mChannel = channel;
	return;
}
int CSiteData::GetChannel( )
{
	return mChannel;
}

void CSiteData::SetEncryptionLevel( int encrlevel )
{
	mEncryptionLevel = encrlevel;
	return;
}
int CSiteData::GetEncryptionLevel( )
{
	return mEncryptionLevel;
}

void CSiteData::SetType( int type )
{
	mType = type;
	return;
}

int CSiteData::GetType( )
{
	return mType;
}

void CSiteData::SetSignalStrength( int signstrength )
{
	mSignalStrength = signstrength;
	return;
}
int CSiteData::GetSignalStrength( )
{
	return mSignalStrength;
}

wxString CSiteData::ProvideHRString( int which )
{
	wxString ret;
	size_t c;

	switch( which )
	{
		case STR_SS_BSSID:
			for( c = 0; c < 6; c++ )
			{
				ret.Append( wxString::Format( _( "%02X " ), mBSSID[ c ] ) );
			}
			break;

		case STR_SS_SSID:
			for( c = 0; c < MAX_SSID_LENGTH; c++ )
			{
				ret.Append( wxString::Format( _( "%02X " ), mSSID[ c ] ) );
			}
			break;

		case STR_SS_CHANNEL:
			ret.Printf( _( "%d" ), mChannel );
			break;

		case STR_SS_ENCRYPTIONLEVEL:
			//ret = EncryptionStrings[ mEncryptionLevel ];
			break;

		case STR_SS_TYPE:
			//ret = TypeStrings[ mType ];
			break;

		case STR_SS_SIGNALSTRENGTH:
			ret.Printf( _( "%3d %%" ), mSignalStrength );
			break;

		case STR_SS_UNKNOWN:
		default:
			break;
	}

	return ret;
}




