/* DevConfig.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __DEVCONFIG_H__
#define __DEVCONFIG_H__

#include "WinterModel.h"
#include "WinterData.h"

#include <wx/dynarray.h>


//Site Survey page settings
enum SiteSurveyStrings
{
	STR_SS_UNKNOWN = -1,
	STR_SS_BSSID,
	STR_SS_SSID,
	STR_SS_CHANNEL,
	STR_SS_ENCRYPTIONLEVEL,
	STR_SS_TYPE,
	STR_SS_SIGNALSTRENGTH,
	NUM_SS_UNKNOWN,
};


class CSiteData
{
public:
	UCHAR mBSSID[ 6 ];
	UCHAR mSSID[ MAX_SSID_LENGTH ];
	int mChannel;
	int mEncryptionLevel;
	int mType; // Ad-hoc or Infrastructure
	int mSignalStrength;

public:
	CSiteData( );
	virtual ~CSiteData( );
	
public:
	wxString ProvideHRString( int which );

protected:
	void SetBSSID( UCHAR bssid[ 6 ] );
	UCHAR *GetBSSID( );

	void SetSSID( UCHAR ssid[ MAX_SSID_LENGTH ] );
	UCHAR *GetSSID( );

	void SetChannel( int channel );
	int GetChannel( );

	void SetEncryptionLevel( int encrlevel );
	int GetEncryptionLevel( );
	
	void SetType( int type );
	int GetType( );

	void SetSignalStrength( int signstrength );
	int GetSignalStrength( );
};


WX_DEFINE_ARRAY( CSiteData *, ArraySiteData );


#endif // __DEVCONFIG_H__


