/* EncryptionPage.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __ENCRYPTIONPAGE_H__
#define __ENCRYPTIONPAGE_H__

#include <wx/wx.h>
#include "ChoiceCtrl.h"
#include "ChoiceSP.h"
#include "WinterPage.h"



class CEncryptionPage : public CWinterPage
{
protected:

//First Box Controls
	//ID_SB_FIRSTBOX,
	wxStaticText *mStEncryption;
	CAutoChoice *mChEncryption;


//Second Box Controls
	//ID_SB_SECONDBOX,
	wxStaticText *mStKey[4];	// 4 = Default MAX_ENCRYPTION_KEYS
	wxTextCtrl *mTxKey[4];
/*	Replaced btw while merging for ATMEL_WLAN
	wxStaticText *mStKey1;
	wxTextCtrl *mTxKey1;
	wxStaticText *mStKey2;
	wxTextCtrl *mTxKey2;
	wxStaticText *mStKey3;
	wxTextCtrl *mTxKey3;
	wxStaticText *mStKey4;
	wxTextCtrl *mTxKey4;
*/
//Third Box Controls
	//ID_SB_THIRDBOX,
	wxStaticText *mStWepKeyToUse;
	CAutoChoice *mChWepkeyToUse;
	wxStaticText *mStWepMode;
	CAutoChoice *mChWepMode;
	wxStaticText *mStAuthType;
	CAutoChoice *mChAuthType;

//Encryption Page Controls
	wxButton *mSubmit;


protected:
	CEncryptionChoiceSP *mEncryptionChoice;
	int mLastKey;
	wxString mKeys[ 2 ][ 4 ];

public:
	CEncryptionPage( wxWindow *parent, int id = -1, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize, long style = 0 );
	virtual ~CEncryptionPage( );

public:
	// Higher update level
	virtual void UpdateWinterPage( );

protected:
	void OnIdle( wxIdleEvent &event );

//Check Encryption Value  ( 1: Disabled 2:64-bit 3:128-bit )
	void UpdateKeyControls( int which_encryption );
	void SetKeyToUse( int whichkey );

//Gets Settings
	void OnBtEncryptPageSubmit( wxCommandEvent &event );

public:
	void SubmitEncryptionPageData( );

public:
	virtual int TestControlValues( );
	virtual int TransferToControls( CWinterModel *model = NULL );
	virtual int TransferToModel( CWinterModel *model = NULL );

private:
	DECLARE_EVENT_TABLE( );
};

#endif // __ENCRYPTIONPAGE_H___


