/* HRStrings.cpp */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#include "HRStrings.h"
#include "Decls.h"

// CWinterStringsProvider class implementation
//=====================================================

CWinterStringsProvider::CWinterStringsProvider( )
{
	OperModeStrings.Add( _( "Ad-Hoc" ) );
	OperModeStrings.Add( _( "Infrastructure" ) );

	RoamingStrings.Add( _( "Disabled" ) );
	RoamingStrings.Add( _( "Enabled" ) );

	RadioStrings.Add( _( "Off" ) );
	RadioStrings.Add( _( "On" ) );

	TransmitRateStrings.Add( _( "1 Mbps" ) );
	TransmitRateStrings.Add( _( "2 Mbps" ) );
	TransmitRateStrings.Add( _( "5 Mbps" ) );
	TransmitRateStrings.Add( _( "11 Mbps" ) );
	TransmitRateStrings.Add( _( "Auto" ) );

	YesNoStrings.Add( _( "No" ) );
	YesNoStrings.Add( _( "Yes" ) );

	EncryptionStrings.Add( _( "Disabled" ) );
	EncryptionStrings.Add( _( "64-bit" ) );
	EncryptionStrings.Add( _( "128-bit" ) );

	WepKeysStrings.Add( _( "Key #1" ) );
	WepKeysStrings.Add( _( "Key #2" ) );
	WepKeysStrings.Add( _( "Key #3" ) );
	WepKeysStrings.Add( _( "Key #4" ) );

	WepModeStrings.Add( _( "Optional" ) );
	WepModeStrings.Add( _( "Mandatory" ) );

	AuthTypeStrings.Add( _( "Open System" ) );
	AuthTypeStrings.Add( _( "Shared Key" ) );

	PreambleTypeStrings.Add( _( "Long" ) );
	PreambleTypeStrings.Add( _( "Short" ) );

	PowerModeStrings.Add( _( "Active" ) );
	PowerModeStrings.Add( _( "Power Save" ) );
	PowerModeStrings.Add( _( "Smart Power Save" ) );
}

CWinterStringsProvider::~CWinterStringsProvider( )
{
}



// CWinterStringsProviderSingleton class implementation
//=====================================================
CWinterStringsProvider *CWinterStringsProviderSingleton::mProvider = NULL;

CWinterStringsProviderSingleton::CWinterStringsProviderSingleton( )
{
}

CWinterStringsProviderSingleton::~CWinterStringsProviderSingleton( )
{
}

CWinterStringsProvider *CWinterStringsProviderSingleton::Get( )
{
	if( mProvider == NULL )
	{
		mProvider = new CWinterStringsProvider( );
	}

	return mProvider;
}


