/* Linux.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __LINUX_H__
#define __LINUX_H__

#include "Device.h"

class CVnetDeviceLinux : public CVnetDeviceBase
// This is a class representing a device under Linux.
{
protected:
	int mFd;

public:
	CVnetDeviceLinux( int sock, const wxString &ufname );
	virtual ~CVnetDeviceLinux( );

public:
	virtual bool IsOk( );

public:
	virtual int GetAPInfo( CBssInfoData dest[ MAX_BSS_ENTRIES ] );
	virtual bool StartSiteSurvey( );
	virtual bool StopSiteSurvey( );
	virtual int GetSiteSurveyState( );
	virtual bool SelectAPByIndex( int index );

	virtual bool GetDeviceConfig( CDeviceConfigurationData *dest );
	virtual bool SetDeviceConfig( CDeviceConfigurationData *src );
	virtual bool GetStatistics( CStatisticsData *data );
	virtual bool GetMacAddress( CMacAddressData *data );
	virtual bool GetWepInfo( CWepInfoData *data );
	virtual bool SetWepInfo( CWepInfoData *data );
	virtual bool GetVersionInfo( CVersionInfoData *data );
	virtual bool ResetCard( );
	virtual bool ClearPackets( );
	/*	For GUI	*/
	virtual bool SendSelectedAP( );
};


class CVnetDeviceManagerLinux : public CVnetDeviceManager
{
public:
	CVnetDeviceManagerLinux( );
	virtual ~CVnetDeviceManagerLinux( );

public:
	virtual bool Detect( );
};


#endif // __LINUX_H__


