/* MonitorPage.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __MONITORPAGE_H__
#define __MONITORPAGE_H__


#include "ChoiceCtrl.h"
#include "ChoiceSP.h"
#include "WinterPage.h"
#include "WinterData.h"

#include <wx/wx.h>


class CWinterTimer;

class CMonitorPage : public CWinterPage
{
protected:
	bool mInChangeMode;
	volatile bool mIsDirty;
	int mStationState;

protected:
	CMonitorChoiceSP *mMonitorChoice;

public:
	CMonitorPage( wxWindow *parent, int id = -1, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize, long style = 0 );
	virtual ~CMonitorPage( );

public:
	// Higher update level
	virtual void UpdateWinterPage( );

	// Called prior to changing the page.
	// Return false to veto the change.
	virtual bool OnPageChanging( );

protected:
	bool OnUpdateGauge( bool querydevice = true );
	bool OnUpdateStatus( bool querydevice = true );

protected:
	//monitor functions
	void OnBtChange( wxCommandEvent &event );
	void OnBtSubmit( wxCommandEvent &event );
	void OnBtCancel( wxCommandEvent &event );

	//idle event
	void OnIdle( wxIdleEvent &event );

	void OnChIntRoamingChanged( wxCommandEvent &event );
	void update_channel_list( );

	// Events not related to the interface
	void OnStationStateChanged( int old_state, int new_state );

	//Display Massages, checking StationState.
	void DisplayMessages( UCHAR stationstate );

	//Display Error Massages, checking StationState
	void DisplayErrorMessages( UCHAR stationstate );

public:
	void SubmitMonitorPageData( );
	
public:
	virtual int TestControlValues( );

	//Transfer to controls
	virtual int TransferToControls( CWinterModel *model = NULL );
	
	//Transfer to model
	virtual int TransferToModel( CWinterModel *model = NULL );

private:
	DECLARE_EVENT_TABLE()
friend class CWinterTimer;
};


#endif // __MONITORPAGE_H__


