/* OSHeaders.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __OSHEADERS_H__
#define __OSHEADERS_H__

#include "WinterSetup.h"

// Headers for Solaris
#ifdef OS_SOLARIS
#include "vnetioctl.h"
#include <sys/socket.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <signal.h>
#include "vnetioctl.h"
#include <sys/types.h>
#include <sys/dlpi.h>
#include <libdevinfo.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <termios.h>
#include <netdb.h>							/* gethostbyname, getnetbyname */
#include <net/if.h>
#include <sys/stream.h>
#include <stropts.h>
#endif // OS_SOLARIS

#ifdef OS_LINUX
#include "vnetioctl.h"
#include <linux/wireless.h>
#include <sys/socket.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <signal.h>
#include <sys/types.h>
//#include <sys/dlpi.h>
//#include <libdevinfo.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <termios.h>
#include <netdb.h>							/* gethostbyname, getnetbyname */
//#include <net/if.h>
//#include <sys/stream.h>
#include <stropts.h>
#endif // OS_LINUX

#endif // __OSHEADERS_H__


