/* ProfilesPage.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __PROFILESPAGE_H__
#define __PROFILESPAGE_H__

#include "WinterPage.h"

class CWinterProfile;

class CProfilesPage : public CWinterPage
{
protected:

public:
	CProfilesPage( wxWindow *parent, int id = -1, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize, long style = 0 );
	virtual ~CProfilesPage( );

public:
	// Higher update level
	virtual void UpdateWinterPage( );

	virtual bool OnPageChanging( );

public:
	void ActivateProfile( CWinterProfile *profile );

protected:
	void OnIdle( wxIdleEvent &event );
	void OnLbSelected( wxCommandEvent &event );
	void OnLbDClicked( wxCommandEvent &event );
	void OnBtAdd( wxCommandEvent &event );
	void OnBtRemove( wxCommandEvent &event );
	void OnBtLoad( wxCommandEvent &event );
	void OnBtSave( wxCommandEvent &event );

	void OnChLang( wxCommandEvent &event );
	void OnClProfilesToggled( wxCommandEvent &event );

private:
DECLARE_EVENT_TABLE( )
};


class CProfileDialog : public wxDialog
{
protected:
	CWinterProfile *mProfileNew;

public:
	CProfileDialog( wxWindow *parent, int id = -1, const wxString &title = _( "Add profile" ), const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxSize( 200, 80 ), long style = wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER );
	virtual ~CProfileDialog( );

public:
	CWinterProfile *GetProfile( );

protected:
	void OnBtAdd( wxCommandEvent &event );

public:
	bool AddProfile( );

private:
DECLARE_EVENT_TABLE( )
};


class CPreviewPanel : public wxPanel
{
protected:

public:
	CPreviewPanel( wxWindow *parent, int id = -1 );
	virtual ~CPreviewPanel( );

public:
	void DoPreview( CWinterProfile *profile );
	void ClearPreview( );
};


#endif // __PROFILESPAGE_H__


