/* SiteSurveyPage.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __CSITESURVEYPAGE_H__
#define __CSITESURVEYPAGE_H__


#include <wx/wx.h>
#include <wx/listctrl.h>
#include <wx/dialog.h>
#include "WinterPage.h"
#include "WinterData.h"


class CSiteSurveyPage;

class CSurveyListCtrl : public wxListCtrl
{
protected:
	wxString mInitialSSID;
	int mInitialState;

public:
	CSurveyListCtrl( wxWindow *parent, int id = -1, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize, long style = wxLC_REPORT | wxLC_VRULES | wxLC_HRULES | wxSUNKEN_BORDER );
	virtual ~CSurveyListCtrl( );

public:
	void SetInitialConditions( const wxString &SSID, int stationstate );
	void Display( CBssInfoData data[ MAX_BSS_ENTRIES ], int count );
	void Clear( );
};


class CSiteSurveyPageTimer : public CWinterPageTimer
{
public:
	CSiteSurveyPageTimer( CSiteSurveyPage *owner );
	virtual ~CSiteSurveyPageTimer( );

public:
	void Notify( );
};


class CSiteSurveyPage : public CWinterPage
{
protected:
	CSiteSurveyPageTimer *mTmScan;
	CSurveyListCtrl *mLcSurvey;

	int mLastStationState;
	wxString mLastSSID;

	int mSiteSurveyState;
	int mBSSCount;
	CBssInfoData mBSSInfo[ MAX_BSS_ENTRIES ];

public:
	CSiteSurveyPage( wxWindow *parent, int id = -1, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize, long style = 0 );
	virtual ~CSiteSurveyPage( );

public:
	virtual bool OnPageChanging( );

        // Higher update level
        virtual void UpdateWinterPage( );

protected:
	bool Scan( );
	bool StopScan( );

protected:
	void OnSize( wxSizeEvent &event );
	void OnIdle( wxIdleEvent &event ); 
	void OnBtSurveyPageScan( wxCommandEvent &event );
	void OnBtSurveyPageStop( wxCommandEvent &event );
	void OnSiteItemActivated( wxListEvent &event );

	friend class CSiteSurveyPageTimer;
	void OnTimerTick( );

public:
	virtual int TestControlValues( CWinterModel *model = NULL );
	virtual int TransferToControls( CWinterModel *model = NULL );

private:
	DECLARE_EVENT_TABLE( );
};


#endif // __CSITESURVEY_H__


