/* WinterConfig.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WINTERCONFIG_H__
#define __WINTERCONFIG_H__

#include <wx/wx.h>


class CWinterConfig
{
protected:
	wxString mLanguage;
	wxString mStartupProfile;

public:
	CWinterConfig( );
	virtual ~CWinterConfig( );

public:
	wxString GetLangName( );
	int GetLangCode( );

	wxString GetStartupProfile( );

public:
	void SetLangName( const wxString &language );
	void SetStartupProfile( const wxString &startup_profile );

public:
	bool Load( const wxString &str_filename = wxT( "" ) );
	bool Save( const wxString &str_filename = wxT( "" ) );
};


class CWinterConfigSingleton
{
protected:
	static CWinterConfig *mConfig;

protected:
	CWinterConfigSingleton( );

public:
	virtual ~CWinterConfigSingleton( );

public:
	static CWinterConfig *Get( );
};


#endif // __WINTERCONFIG_H__


