/* WinterFrame.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WINTERFRAME_H__
#define __WINTERFRAME_H__

#include <wx/wx.h>
#include <wx/notebook.h>
#include <wx/combobox.h>
#include <wx/gauge.h>
#include "ChoiceCtrl.h"
#include "ChoiceSP.h"
#include "Device.h"
#include "Profile.h"

class CWinterProfile;

class CWinterFrame : public wxFrame
{
protected:
	bool mExitASAP;

public:
	CWinterFrame( wxWindow* parent, wxWindowID id,  const wxString &title, const wxPoint &pos, const wxSize &size, long style );
	virtual ~CWinterFrame( );

public:
	void UpdateAllPages( );
	void UpdateProfileList( );
	void ExitASAP( );

protected:
	//controls
	void OnPageChanging( wxNotebookEvent &event );    
	void OnBtClose( wxCommandEvent &event );
	void OnBtApplyProfile( wxCommandEvent &event );

	// other events
	void OnIdle( wxIdleEvent &event );
	void OnClose( wxCloseEvent &event );

private:
DECLARE_EVENT_TABLE( );
};


#endif // __WINTERFRAME_H__


