/* WinterLang.cpp */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#include "WinterLang.h"



// Behind this table, the initialization of the mWinterLang static member is hidden.
// You may add any language here. Just specify the name and the wxWindows code of the
// language, and that's all. Winter will search for the messages catalog.
BEGIN_WINTER_LANG_TABLE( )
// Do not remove these two default entries.
	WINTER_LANG( wxT( "(None)" ), -1 )
	WINTER_LANG( wxT( "(System Default)" ), wxLANGUAGE_DEFAULT )

// Add supported languages here. Provide the name and the wxLANGUAGE code.
// wxLANGUAGE codes can be found at the wxWindows manual or at location
// http://www.wxwindows.org/manuals/2.4.0/wx238.htm#wxlocale
	WINTER_LANG( wxT( "Greek" ), wxLANGUAGE_GREEK ) 
END_WINTER_LANG_TABLE( )


// CWinterSupportedLanguages class implementation
//================================================
CWinterSupportedLanguages::CWinterSupportedLanguages( )
{
	// There is no need to ever create such an object.
	// This contructor is protected.
}

CWinterSupportedLanguages::~CWinterSupportedLanguages( )
{
}

int CWinterSupportedLanguages::GetWxCode( const wxString &language )
{
	int ret = -1;
	int c = -1;

	do
	{
		c++;
		if( mWinterLang[ c ].mName == language )
		{
			ret = mWinterLang[ c ].mWxCode;
		}
	} while ( ret == -1 && mWinterLang[ c ].mWxCode != -999 );

	return ret;
}

wxString CWinterSupportedLanguages::GetLangName( int code )
{
	wxString ret = wxT( "" );
	int c = -1;

	do
	{
		c++;
		if( mWinterLang[ c ].mWxCode == code )
		{
			ret = mWinterLang[ c ].mName;
		}
	} while ( ret == wxT( "" ) && mWinterLang[ c ].mWxCode != -999 );

	return ret;
}

wxArrayString CWinterSupportedLanguages::GetAllLanguages( )
{
	wxArrayString ret;
	int c = 0;

	while( mWinterLang[ c ].mWxCode != -999 )
	{
		ret.Add( mWinterLang[ c ].mName );
		c++;
	}

	return ret;
}


