/* WinterLang.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WINTERLANG_H__
#define __WINTERLANG_H__


#include <wx/wx.h>

#define BEGIN_WINTER_LANG_TABLE( ) struct CWinterLang CWinterSupportedLanguages::mWinterLang[ ] = {
#define WINTER_LANG( name, wxid ) { name, wxid },
#define END_WINTER_LANG_TABLE( ) { wxT( "This is the last element of the languages array." ), -999 } };

struct CWinterLang
{
	wxString mName;
	int mWxCode;
};


class CWinterSupportedLanguages
{
protected:
	static CWinterLang mWinterLang[ ];

protected:
	CWinterSupportedLanguages( );

public:
	virtual ~CWinterSupportedLanguages( );

public:
	static int GetWxCode( const wxString &language );
	static wxString GetLangName( int code );
	static wxArrayString GetAllLanguages( );
};


#endif // __WINTERLANG_H__


