/* WinterModel.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WINTERMODEL_H__
#define __WINTERMODEL_H__

#include <wx/dynarray.h>
#include <wx/string.h>

class CWinterModel;
class CWinterModelChild;
class CVnetDeviceBase;


enum ModelChildren
{
	MC_UNKNOWN = -1,
	MC_WEPINFODATA,
	MC_VERSIONINFODATA,
	MC_STATISTICSDATA,
	MC_DEVICECONFIGURATIONDATA,
	MC_MACADDRESSDATA,
};

WX_DEFINE_ARRAY( CWinterModelChild *, ArrayModelChild );

class CWinterModel
{
protected:
	ArrayModelChild mChildren;
	wxString mName;

public:
	CWinterModel( const wxString &name = wxT( "Model" ) );
	virtual ~CWinterModel( );

public:
	CWinterModelChild *GetChild( int child );
	bool IsModified( );

public:
	void ResetModified( );

protected:
	bool AddChild( CWinterModelChild *child );
	bool RemoveChild( CWinterModelChild *child );
friend class CWinterModelChild;
};


class CWinterModelChild
{
protected:
	CWinterModel *mTheModel;
	bool mIsModified;

public:
	CWinterModelChild( CWinterModel *Model );
	virtual ~CWinterModelChild( );

public:
	// Passive methods
	CWinterModel *GetModel( );
	bool IsModified( );

public:
	// Active methods
	void SetModified( bool modified = true );
};


#endif // __WINTERMODEL_H__


