/* WinterPage.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WINTERPAGE_H__
#define __WINTERPAGE_H__

#include <wx/wx.h>
#include "WinterModel.h"



class CWinterPage : public wxPanel
{
public:
	CWinterPage( wxWindow *parent, int id = -1, const wxPoint &pos = wxDefaultPosition );
	virtual ~CWinterPage( );

public:
	// Higher update level
	virtual void UpdateWinterPage( );

	// Called prior to changing the page.
	// Return false to veto the change.
	virtual bool OnPageChanging( );

public:
        // Lower level methods
	virtual int TestControlValues( );

	//Transfer to controls
	virtual int TransferToControls( CWinterModel *model = NULL );

	//Transfer to model
	virtual int TransferToModel( CWinterModel *model = NULL );
};


class CWinterPageTimer : public wxTimer
{
protected:
	CWinterPage *mAssociatedPage;

public:
	CWinterPageTimer( CWinterPage *page );
	virtual ~CWinterPageTimer( );

public:
	CWinterPage *GetPage( );
};


#endif // __WINTERPAGE_H__


