/* WinterSetup.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WINTERSETUP_H__
#define __WINTERSETUP_H__


// Toggle display of debug messages.
#define ENABLE_DEBUG_MESSAGES	0

// Initial frame size
#define FRAME_WIDTH		600
#define FRAME_HEIGHT		650

// Page update interval (in milliseconds)
#define MAIN_TIMER_INTERVAL	500


// Set this option to 1 if you want the app to delay after each submission.
#define DELAY_AFTER_SUBMIT	0

#if ( DELAY_AFTER_SUBMIT == 1 )
// Use the wxBusyInfo class to display status messages.
// Due to a possible bug of the desktop environment, this
// setting should be set to 0 on RedHat machines.
#define USE_BUSY_INFO		0
#endif // DELAY_AFTER_SUBMIT == 1

// Check whether another instance of winter is already running.
#define CHECK_SINGLE_INSTANCE	1

// Load message catalogs which contain the translations of the strings used to the current language.Otherwise default language( english ) is used.
#define USE_LOCALE 1

#endif // __WINTERSETUP_H__


