/* WinterTimer.h */
/*******************************************************************************************
	Copyright 2002-2003 ATMEL Corporation.

	This file is part of ATMEL Wireless LAN Drivers.

	ATMEL Wireless LAN Drivers is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	ATMEL Wireless LAN Drivers is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with ATMEL Wireless LAN Drivers; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************************/

#ifndef __WINTERTIMER_H__
#define __WINTERTIMER_H__

#include <wx/wx.h>


class CWinterTimer : public wxTimer
{
public:
	bool mIsActive;
	int mStationState;

public:
	CWinterTimer( );
	virtual ~CWinterTimer( );

public:
	void Notify( );

public:
	void Activate( );
	void DeActivate( );
};


class CWinterTimerSingleton
{
protected:
	static CWinterTimer *mTimer;

protected:
	CWinterTimerSingleton( );

public:
	~CWinterTimerSingleton( );

public:
	static CWinterTimer *Get( );
};

#define ACTIVATE_TIMER( ) CWinterTimerSingleton::Get( )->Activate( );
#define DEACTIVATE_TIMER( ) CWinterTimerSingleton::Get( )->DeActivate( );


#endif // __WINTERTIMER_H__


